If taxonomies are seeded, they should be the default orgs

03/05/2015 06:26 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Organizations and Locations   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2226

  

Description

Hosts must have an organization/location if enabled.  It makes sense to give them one.

This is especially a problem in Katello, where the admin is given a Default Organzation, so they don't see the Katello host itself in "All

Hosts" unless they switch to "Any Context", which isn't obvious.

Related issues:

Related to Foreman - Bug #3214: No location / Organization if host added by d... Closed 10/08/2013

Related to Foreman - Bug #11776: assignment of default org and location to ne... Closed 09/10/2015

Associated revisions

Revision 8809a63b - 09/04/2015 03:43 AM - Stephen Benjamin

fixes #9654 - mark seeded org/loc as default

History

#1 - 03/05/2015 06:26 AM - Stephen Benjamin

- Related to Bug #3214: No location / Organization if host added by default from puppet run added

#2 - 03/05/2015 06:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2226 added

- Pull request deleted ()

#3 - 03/05/2015 07:56 AM - Stephen Benjamin

- Subject changed from If taxonomies are enabled, there should always be a default_taxonomy set to If taxonomies are seeded, they should be the

default orgs

#4 - 09/04/2015 03:46 AM - Dominic Cleal

- Assignee set to Stephen Benjamin

- translation missing: en.field_release set to 63

#5 - 09/04/2015 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8809a63b93b3f79eecb33a4757c4c13d2cbf4421.

#6 - 09/10/2015 03:02 PM - Stephen Benjamin

- Related to Bug #11776: assignment of default org and location to new hosts makes org/location invalid added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8809a63b93b3f79eecb33a4757c4c13d2cbf4421


#7 - 09/14/2015 03:24 AM - Dominic Cleal

This change has been reverted in #11776.
